MagickCore: pixel.c File Reference

# pixel.c File Reference

`#include "magick/studio.h"`
`#include "magick/property.h"`
`#include "magick/blob.h"`
`#include "magick/blob-private.h"`
`#include "magick/color-private.h"`
`#include "magick/exception.h"`
`#include "magick/exception-private.h"`
`#include "magick/cache.h"`
`#include "magick/constitute.h"`
`#include "magick/delegate.h"`
`#include "magick/geometry.h"`
`#include "magick/list.h"`
`#include "magick/magick.h"`
`#include "magick/memory_.h"`
`#include "magick/monitor.h"`
`#include "magick/option.h"`
`#include "magick/pixel.h"`
`#include "magick/pixel-private.h"`
`#include "magick/quantum.h"`
`#include "magick/resource_.h"`
`#include "magick/semaphore.h"`
`#include "magick/statistic.h"`
`#include "magick/stream.h"`
`#include "magick/string_.h"`
`#include "magick/utility.h"`

## Functions
MagickExport MagickBooleanType | ExportImagePixels (const Image *image, const long x_offset, const long y_offset, const unsigned long columns, const unsigned long rows, const char *map, const StorageType type, void *pixels, ExceptionInfo *exception)
MagickExport void | GetMagickPixelPacket (const Image *image, MagickPixelPacket *pixel)
MagickExport MagickBooleanType | ImportImagePixels (Image *image, const long x_offset, const long y_offset, const unsigned long columns, const unsigned long rows, const char *map, const StorageType type, const void *pixels)

## Function Documentation

MagickExport MagickBooleanType ExportImagePixels | ( | const Image * | image,
|  | const long | x_offset,
|  | const long | y_offset,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | const char * | map,
|  | const StorageType | type,
|  | void * | pixels,
|  | ExceptionInfo * | exception |
| ) |  |  |

MagickExport void GetMagickPixelPacket | ( | const Image * | image,
|  | MagickPixelPacket * | pixel |
| ) |  |  |

MagickExport MagickBooleanType ImportImagePixels | ( | Image * | image,
|  | const long | x_offset,
|  | const long | y_offset,
|  | const unsigned long | columns,
|  | const unsigned long | rows,
|  | const char * | map,
|  | const StorageType | type,
|  | const void * | pixels |
| ) |  |  |